Bug 628695 - name each install disc set after the corresponding media
Summary: name each install disc set after the corresponding media
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-30 19:33 UTC by Andre Robatino
Modified: 2013-01-10 06:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-20 22:36:07 UTC


Attachments (Terms of Use)

Description Andre Robatino 2010-08-30 19:33:37 UTC
Description of problem:
The CD install disc set is currently named "disc1", "disc2", etc. I'm guessing this is a holdover from when the CDs were the only disc set. This has the potential for some confusion when the DVD eventually splits. I suggest naming them instead "CD1", "CD2", etc., and to do the same for each of the other install disc sets, so when the DVD splits, the images would be called "DVD1", "DVD2", etc. There would have to be a distinct name for whatever the next larger media would be (dual-layer DVD or Blu-ray).

Comment 1 Andre Robatino 2010-08-30 21:39:47 UTC
It might also be a good idea to use zfill() to zero-pad the disc number, to keep them lexicographically ordered for 10 or more discs (for example, 01, 02, ..., 10, 11 for 11 discs), which isn't too far off. (If the integer base 10 log of the number of discs is logn, then you'd use zfill(logn+1). I don't offhand if there's a function for logn in python, but it's easy to do in a loop.)

Comment 2 Andre Robatino 2010-08-30 22:14:58 UTC
Actually, it looks like in python you can just use zfill(len(num_discs)) (if num_discs is a string).

Comment 3 Andre Robatino 2010-10-10 20:35:56 UTC
Related issues to consider when this is being worked on: When the DVD is about to split, it might not be known until the actual compose whether it will happen in a given release. Does the documentation depend on that? And is there a guarantee that a > 4.7 GB non-split install image will be available to replace the DVD as soon as it splits? My feeling is that it should be, given the increasing importance of installs not using optical media (for example, installs in virtual guests by attaching to the ISO file, or installs from thumb drives). Given the limited testing of split media in virtual guests, it may not even be possible to use it. (For example bug 623126 currently prevents KVM default installs using the CD set, and has low priority due to the assumption that non-split media is available.)

Comment 4 Andre Robatino 2010-10-20 20:47:48 UTC
Noticed that FESCO just decided to drop split CDs in F15 - and Jesse Keating told me in IRC that the plan is to drop split media permanently. Does this mean that this bug can be closed, then? The only thing that would need to be decided is whether to continue to include the name of the media (currently DVD) in the ISO name. Considering it won't change often, it could be dropped and the documentation could state what type of media the current release fits on.

Comment 5 Jesse Keating 2010-10-20 22:36:07 UTC
Yes, we can close this.  Will do.


Note You need to log in before you can comment on or make changes to this bug.